- name: "{{ config.system.namespace }} - Create admin rolebinding"
  k8s:
    state: present
    context: "{{ config.system.kubeconfig }}" 
    definition:
      apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      metadata:
        annotations:
        name: "{{ config.system.admin_role }}"
      roleRef:
        apiGroup: rbac.authorization.k8s.io
        kind: ClusterRole
        name: cluster-admin
      subjects:
      - apiGroup: rbac.authorization.k8s.io
        kind: Group
        name: /{{ config.system.admin_role }}
